### Namespace

# ClapperGtk – 0.0

Clapper GTK integration library

Version | 0.6.1
Authors | Rafał Dzięgiel
License | LGPL-2.1-or-later
Website | https://rafostar.github.io/clapper/
Source | https://github.com/Rafostar/clapper/

#### Build

C headers | `clapper-gtk/clapper-gtk.h`
pkg-config files | `clapper-gtk-0.0`

#### Dependencies

Clapper—0.0 | Clapper playback library
| Browse documentation
Gtk—4.0 | The GTK toolkit
| Browse documentation

#### Related libraries

GLib | A general-purpose, portable utility library
| Browse documentation
GObject | The base type system library
| Browse documentation
Gio | GObject Interfaces and Objects, Networking, IPC, and I/O
| Browse documentation
Gst | GStreamer core library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Billboard | A layer where various messages can be displayed.
Container | A simple container widget that holds just one child.
ExtraMenuButton | A menu button with extra options.
LeadContainer | A `ClapperGtkContainer` that can take priority in user interactions with the `ClapperGtkVideo`.
NextItemButton | A `GtkButton` for selecting next queue item.
PreviousItemButton | A `GtkButton` for selecting previous queue item.
SeekBar | A bar for seeking and displaying playback position.
SimpleControls | A minimalistic playback controls panel widget.
TitleHeader | A header panel widget that displays current media title.
TitleLabel | A label showing an up to date title of media item.
ToggleFullscreenButton | A `GtkButton` for toggling fullscreen state.
TogglePlayButton | A `GtkButton` for toggling play/pause of playback.
Video | A ready to be used GTK video widget implementing Clapper API.

#### Bitfields

VideoActionMask |

#### Functions

get_player_from_ancestor | Get `ClapperPlayer` used by `ClapperGtkVideo` ancestor of `widget`.
get_resource |

#### Function Macros

BILLBOARD_CAST |
CHECK_VERSION |
CONTAINER_CAST |
ENCODE_VERSION |
EXTRA_MENU_BUTTON_CAST |
LEAD_CONTAINER_CAST |
NEXT_ITEM_BUTTON_CAST |
PREVIOUS_ITEM_BUTTON_CAST |
SEEK_BAR_CAST |
SIMPLE_CONTROLS_CAST |
TITLE_HEADER_CAST |
TITLE_LABEL_CAST |
TOGGLE_FULLSCREEN_BUTTON_CAST |
TOGGLE_PLAY_BUTTON_CAST |
VIDEO_CAST |

#### Constants

MAJOR_VERSION | ClapperGtk major version component.
MICRO_VERSION | ClapperGtk micro version component.
MINOR_VERSION | ClapperGtk minor version component.
VERSION_S | ClapperGtk version, encoded as a string.